Kerbal Space Program - Bug #9628

Map view: Ap/Pe labels shown twice when a manoeuvre node is present
04/30/2016 06:39 PM - Wintermute

Status: Closed Start date: 04/30/2016
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.1.2 Language: English (US)
Platform: Windows Mod Related: No
Description

In the map view the information about the current Ap/Pe is shown two times when there is some manoeuvre node set.

When the new Ap/Pe - i.e. the one after the manoeuvre would be performed - would be roughly at the same place, the information is
shown three times (2*old + 1 new).

showing only three dots "..." when there were some other - maybe too many? - labels activated, but | still need to nail it down, so I'm
just mentioning it here in case someone already has.)

History

#1 - 04/30/2016 06:51 PM - Wintermute
Wintermute tried to write:

There is also some - maybe related? - problem with the mouse-hover labels (in my case it was the inclination node) showing only three dots "..."
when there were some other - maybe too many? - labels activated, but | still need to nail it down, so I'm just mentioning it here in case someone
already has.

OK, that other problem seems to be just an other problem. ;)

There seems to be a limit of 3 "labels", so when there are already 3 selected, hovering on other ones sometimes shows nothing, and sometimes
changes one of the old ones into "...". That, however, might be a feature, not a bug.

#2 - 04/30/2016 07:31 PM - Wintermute

Maybe it's not so "Low" priority as | suspected - combined with that 3-labels limit (which I find slightly way, way too low), this problem makes it really
painful to manage a manoeuvre node placed exactly on the Ap - | place the node, | right-click it in order to make it next-orbit, this right-click turns on
the labels, and since there seem to be four labels at that point (2*current Ap, 1*the new Ap, 1*label for the node), | cannot see any information about
any other point. Trying to right-click it again in order to deselect the labels hides the node-editing controls. So | right-click... yeah, exactly ;)

#3 - 05/01/2016 10:05 AM - rudi1291
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Looks like a duplicate of #7887 on the pre-release tracker.

#4 - 07/17/2016 09:55 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#5 - 08/09/2019 11:09 PM - chris.fulton
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

#6 - 08/09/2019 11:09 PM - chris.fulton
- Status changed from Resolved to Closed

Closing, QA has not been able to reproduce this issue for some time and in effort of the database cleanup that is underway this bug is being closed.
